io.vertx.rxjava.db2client

## Class DB2Pool

- java.lang.Object
- - io.vertx.rxjava.sqlclient.SqlClient
  - - io.vertx.rxjava.sqlclient.Pool
    - - io.vertx.rxjava.db2client.DB2Pool

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate

  Deprecated.

      @Deprecated
      public class DB2Pool
      extends Pool
      implements io.vertx.lang.rx.RxDelegate

  A pool of DB2 connections.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<DB2Pool>` | `__TYPE_ARG` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DB2Pool(DB2Pool delegate)` Deprecated.
    `DB2Pool(Object delegate)` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SqlClient` | `client(DB2ConnectOptions database, PoolOptions options)` Deprecated. Create a pooled client to the DB2 `database` configured with the given `options`.
    `static SqlClient` | `client(List<DB2ConnectOptions> databases, PoolOptions options)` Deprecated. Create a client backed by a connection pool to the DB2 `databases` with round-robin selection.
    `static SqlClient` | `client(String connectionUri)` Deprecated. Like `client(java.lang.String)` with default options.
    `static SqlClient` | `client(String connectionUri, PoolOptions options)` Deprecated. Like `client(java.lang.String)` with `database` build from `connectionUri`.
    `static SqlClient` | `client(Vertx vertx, DB2ConnectOptions database, PoolOptions options)` Deprecated. Like `client(java.lang.String)` with a specific instance.
    `static SqlClient` | `client(Vertx vertx, List<DB2ConnectOptions> databases, PoolOptions options)` Deprecated. Like `client(java.lang.String)` with a specific instance.
    `static SqlClient` | `client(Vertx vertx, String connectionUri)` Deprecated. Like `client(java.lang.String)` with default options.
    `static SqlClient` | `client(Vertx vertx, String connectionUri, PoolOptions options)` Deprecated. Like `client(java.lang.String)` with `database` build from `connectionUri`.
    `DB2Pool` | `connectHandler(Handler<SqlConnection> handler)` Deprecated. Set an handler called when the pool has established a connection to the database.
    `DB2Pool` | `connectionProvider(java.util.function.Function<Context,Future<SqlConnection>> provider)` Deprecated. Replace the default pool connection provider, the new `provider` returns a future connection for a given .
    `boolean` | `equals(Object o)` Deprecated.
    `DB2Pool` | `getDelegate()` Deprecated.
    `int` | `hashCode()` Deprecated.
    `static DB2Pool` | `newInstance(DB2Pool arg)` Deprecated.
    `static DB2Pool` | `pool(DB2ConnectOptions database, PoolOptions options)` Deprecated. Create a connection pool to the DB2 `database` configured with the given `options`.
    `static DB2Pool` | `pool(List<DB2ConnectOptions> databases, PoolOptions options)` Deprecated. Create a connection pool to the DB2 `databases` with round-robin selection.
    `static DB2Pool` | `pool(String connectionUri)` Deprecated. Like `pool(java.lang.String)` with default options.
    `static DB2Pool` | `pool(String connectionUri, PoolOptions options)` Deprecated. Like `pool(java.lang.String)` with `database` build from `connectionUri`.
    `static DB2Pool` | `pool(java.util.function.Supplier<Future<DB2ConnectOptions>> databases, PoolOptions poolOptions)` Deprecated. Create a connection pool to the DB2 `databases`.
    `static DB2Pool` | `pool(Vertx vertx, DB2ConnectOptions database, PoolOptions options)` Deprecated. Like `pool(java.lang.String)` with a specific instance.
    `static DB2Pool` | `pool(Vertx vertx, List<DB2ConnectOptions> databases, PoolOptions options)` Deprecated. Like `pool(java.lang.String)` with a specific instance.
    `static DB2Pool` | `pool(Vertx vertx, String connectionUri)` Deprecated. Like `pool(java.lang.String)` with default options.
    `static DB2Pool` | `pool(Vertx vertx, String connectionUri, PoolOptions options)` Deprecated. Like `pool(java.lang.String)` with `database` build from `connectionUri`.
    `static DB2Pool` | `pool(Vertx vertx, java.util.function.Supplier<Future<DB2ConnectOptions>> databases, PoolOptions poolOptions)` Deprecated. Like `pool(java.lang.String)` with a specific instance.
    `String` | `toString()` Deprecated.

    - ### Methods inherited from class io.vertx.rxjava.sqlclient.Pool

      `close, close, getConnection, getConnection, newInstance, pool, pool, pool, preparedQuery, query, rxClose, rxGetConnection, rxWithConnection, rxWithTransaction, rxWithTransaction, size, withConnection, withConnection, withTransaction, withTransaction, withTransaction, withTransaction`

    - ### Methods inherited from class io.vertx.rxjava.sqlclient.SqlClient

      `newInstance, preparedQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<DB2Pool> __TYPE_ARG

      Deprecated.

  - ### Constructor Detail

    - #### DB2Pool

          public DB2Pool(DB2Pool delegate)

      Deprecated.

    - #### DB2Pool

          public DB2Pool(Object delegate)

      Deprecated.

  - ### Method Detail

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Pool`

    - #### equals

          public boolean equals(Object o)

      Deprecated.
      Overrides:
        `equals` in class `Pool`

    - #### hashCode

          public int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `Pool`

    - #### getDelegate

          public DB2Pool getDelegate()

      Deprecated.
      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`
      Overrides:
        `getDelegate` in class `Pool`

    - #### pool

          public static DB2Pool pool(String connectionUri)

      Deprecated.
      Like `pool(java.lang.String)` with default options.
      Parameters:
        `connectionUri` -
      Returns:

    - #### pool

          public static DB2Pool pool(String connectionUri,
                                     PoolOptions options)

      Deprecated.
      Like `pool(java.lang.String)` with `database` build from `connectionUri`.
      Parameters:
        `connectionUri` -
        `options` -
      Returns:

    - #### pool

          public static DB2Pool pool(Vertx vertx,
                                     String connectionUri)

      Deprecated.
      Like `pool(java.lang.String)` with default options.
      Parameters:
        `vertx` -
        `connectionUri` -
      Returns:

    - #### pool

          public static DB2Pool pool(Vertx vertx,
                                     String connectionUri,
                                     PoolOptions options)

      Deprecated.
      Like `pool(java.lang.String)` with `database` build from `connectionUri`.
      Parameters:
        `vertx` -
        `connectionUri` -
        `options` -
      Returns:

    - #### pool

          public static DB2Pool pool(DB2ConnectOptions database,
                                     PoolOptions options)

      Deprecated.
      Create a connection pool to the DB2 `database` configured with the given `options`.
      Parameters:
        `database` - the options for the connection
        `options` - the options for creating the pool
      Returns:
        the connection pool

    - #### pool

          public static DB2Pool pool(Vertx vertx,
                                     DB2ConnectOptions database,
                                     PoolOptions options)

      Deprecated.
      Like `pool(java.lang.String)` with a specific instance.
      Parameters:
        `vertx` -
        `database` -
        `options` -
      Returns:

    - #### pool

          public static DB2Pool pool(List<DB2ConnectOptions> databases,
                                     PoolOptions options)

      Deprecated.
      Create a connection pool to the DB2 `databases` with round-robin selection. Round-robin is applied when a new connection is created by the pool.
      Parameters:
        `databases` - the list of servers
        `options` - the options for creating the pool
      Returns:
        the connection pool

    - #### pool

          public static DB2Pool pool(Vertx vertx,
                                     List<DB2ConnectOptions> databases,
                                     PoolOptions options)

      Deprecated.
      Like `pool(java.lang.String)` with a specific instance.
      Parameters:
        `vertx` -
        `databases` -
        `options` -
      Returns:

    - #### client

          public static SqlClient client(String connectionUri)

      Deprecated.
      Like `client(java.lang.String)` with default options.
      Parameters:
        `connectionUri` -
      Returns:

    - #### client

          public static SqlClient client(String connectionUri,
                                         PoolOptions options)

      Deprecated.
      Like `client(java.lang.String)` with `database` build from `connectionUri`.
      Parameters:
        `connectionUri` -
        `options` -
      Returns:

    - #### client

          public static SqlClient client(Vertx vertx,
                                         String connectionUri)

      Deprecated.
      Like `client(java.lang.String)` with default options.
      Parameters:
        `vertx` -
        `connectionUri` -
      Returns:

    - #### client

          public static SqlClient client(Vertx vertx,
                                         String connectionUri,
                                         PoolOptions options)

      Deprecated.
      Like `client(java.lang.String)` with `database` build from `connectionUri`.
      Parameters:
        `vertx` -
        `connectionUri` -
        `options` -
      Returns:

    - #### client

          public static SqlClient client(DB2ConnectOptions database,
                                         PoolOptions options)

      Deprecated.
      Create a pooled client to the DB2 `database` configured with the given `options`.
      Parameters:
        `database` - the options for the connection
        `options` - the options for creating the pool
      Returns:
        the connection pool

    - #### client

          public static SqlClient client(Vertx vertx,
                                         DB2ConnectOptions database,
                                         PoolOptions options)

      Deprecated.
      Like `client(java.lang.String)` with a specific instance.
      Parameters:
        `vertx` -
        `database` -
        `options` -
      Returns:

    - #### client

          public static SqlClient client(List<DB2ConnectOptions> databases,
                                         PoolOptions options)

      Deprecated.
      Create a client backed by a connection pool to the DB2 `databases` with round-robin selection. Round-robin is applied when a new connection is created by the pool.
      Parameters:
        `databases` - the list of servers
        `options` - the options for creating the pool
      Returns:
        the pooled client

    - #### client

          public static SqlClient client(Vertx vertx,
                                         List<DB2ConnectOptions> databases,
                                         PoolOptions options)

      Deprecated.
      Like `client(java.lang.String)` with a specific instance.
      Parameters:
        `vertx` -
        `databases` -
        `options` -
      Returns:

    - #### connectHandler

          public DB2Pool connectHandler(Handler<SqlConnection> handler)

      Deprecated.
      Description copied from class: `Pool`
      Set an handler called when the pool has established a connection to the database.

      This handler allows interactions with the database before the connection is added to the pool.

      When the handler has finished, it must call `SqlClient.close(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` to release the connection to the pool.

      Overrides:
        `connectHandler` in class `Pool`
      Parameters:
        `handler` - the handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### connectionProvider

          public DB2Pool connectionProvider(java.util.function.Function<Context,Future<SqlConnection>> provider)

      Deprecated.
      Description copied from class: `Pool`
      Replace the default pool connection provider, the new `provider` returns a future connection for a given .

      A `ConnectionFactory` can be used as connection provider.

      Overrides:
        `connectionProvider` in class `Pool`
      Parameters:
        `provider` - the new connection provider
      Returns:
        a reference to this, so the API can be used fluently

    - #### pool

          public static DB2Pool pool(java.util.function.Supplier<Future<DB2ConnectOptions>> databases,
                                     PoolOptions poolOptions)

      Deprecated.
      Create a connection pool to the DB2 `databases`. The supplier is called to provide the options when a new connection is created by the pool.
      Parameters:
        `databases` - the databases supplier
        `poolOptions` - the options for creating the pool
      Returns:
        the connection pool

    - #### pool

          public static DB2Pool pool(Vertx vertx,
                                     java.util.function.Supplier<Future<DB2ConnectOptions>> databases,
                                     PoolOptions poolOptions)

      Deprecated.
      Like `pool(java.lang.String)` with a specific instance.
      Parameters:
        `vertx` -
        `databases` -
        `poolOptions` -
      Returns:

    - #### newInstance

          public static DB2Pool newInstance(DB2Pool arg)

      Deprecated.

Copyright © 2025 Eclipse. All rights reserved.